rc_tls_fd(3)

NAME
rc_tls_fd - Returns the file descriptor of the TLS/DTLS session.

SYNOPSIS
#include <radcli/>

int rc_tls_fd(
    rc_handle  *rh
);

DESCRIPTION

This can also be used as a test for the application to see whether TLS or DTLS are in use.

PARAMETERS

rh  a handle to parsed configuration

RETURN VALUE

the file descriptor used by the TLS session, or -1 on error

SEE ALSO

rc_check_tls(3)